#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-GXmDLEoP6bW2nuODgGwCd8
key:                  ghcide-2.0.0.0-GXmDLEoP6bW2nuODgGwCd8
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  b081757c8ddb8b61053361c80c3677ac
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-GXmDLEoP6bW2nuODgGwCd8
depends:
    Diff-0.4.1-5CHMd9hm2hK4yTjwBhkXbD Glob-0.10.2-3vkCmVxwAWWpKUiVrXY9f
    aeson-2.1.2.1-JT1gbb2shwLLy3Tf1UBGhr
    aeson-pretty-0.8.10-7wIu5pYka6aDkB1o5E1MKH array-0.5.4.0
    async-2.2.5-63qhz2egf712xrTPAnr2Zj base-4.17.2.1
    base16-bytestring-1.0.2.0-9mb0Ir84xKMA3I88HOApQp binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-LMolnZwpRvW7BfRj8XMS7A
    co-log-core-0.3.2.5-2PFPfiiXMUpHEcQBv7p6jc containers-0.6.7
    cryptohash-sha1-0.11.101.0-7exrJwxfE2561DLZPXj5EC
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-4aOnmtUmsdfqTzgEr3z30
    dependent-sum-0.7.2.0-NTakyWG573ElnWBxdQq1 directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-4s8JKR8M7EJLpsMSd129GL exceptions-0.10.5
    extra-1.7.16-25P5lHpSUp8L14gyV4Hji filepath-1.4.2.2
    fingertree-0.1.5.0-E4XNHFptaZ2KgZiyvH8qjC
    focus-1.0.3.2-2TJgbvY3EYs10ppm0QyScH ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-TrFEDP5JewEHpfeDGupI5
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-KWFflM69Y3M9cCXwCaIloo
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2
    hie-bios-0.12.0-5vcYTf1wMBS7XLffjb2wmK
    hie-compat-0.3.1.1-EX7c63LZz6m3PpO1VmTjuM
    hiedb-0.4.3.0-8jIoQiuxauNFI1z9fSZ689
    hls-graph-2.0.0.0-GjDR8GXuV1327razKyPbxv
    hls-plugin-api-2.0.0.0-KIxJrBjuXiZ4aQkwfqT1Bk
    implicit-hie-0.1.2.7-78QRqkIx9ZXIEwci5IcNkq
    implicit-hie-cradle-0.5.0.1-KqO6DQkyCxQ4c7acCMO06q
    lens-5.2.3-ArsxVRMhbU6E8JS3Z9lSQN
    list-t-1.0.5.5-DlsMqqO1iRe9Asujec1lWj
    lsp-1.6.0.0-HqQYNGpxlIP3dW7VQOTAO4
    lsp-types-1.6.0.1-7RtHcrJcyEfJzpNgITRj4t mtl-2.2.2
    opentelemetry-0.8.0-EdrkD5RUkSQB0LGjoW0eUf
    optparse-applicative-0.17.1.0-GJejBEZRufe1ghPqBo6gVT
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-D3sioF8aQdWB1PWrDshF2j
    prettyprinter-ansi-terminal-1.1.3-8LemWXapcVWIS8NuweYmmX
    random-1.2.1.2-CIdm787tMz7D0SA4JfQInB
    regex-tdfa-1.3.2.4-2xr5D63VjbzKughicjnj43
    safe-exceptions-0.1.7.4-GoPlJWFVYuMGnukCjDtjbZ
    sorted-list-0.2.3.1-4V4Gciy2KsRAQ0io3xaorl
    sqlite-simple-0.4.19.0-4NKjt5ykiUTKcIuO17Ohb9 stm-2.5.1.0
    stm-containers-1.2.1.1-JSIvngDGWeV9yUVfUVNsfc
    syb-0.7.2.4-DRmRuYXhogH1Si3eC7RXHC text-2.0.2
    text-rope-0.3-6WT6imN93PQAT6gKqUdO5Z time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-GvzbgDQBsq48fSlIyaUO1
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-GHxywVRZMTgDKQfzKfhJsl
    vector-0.13.2.0-7lCcQdq9xkO6clGWLwrFQw

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

